> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling Motion



## OpenAPI

````yaml /openapi/kling.json post /kling/motion
openapi: 3.0.0
info:
  title: Kling video generation
  version: 1.0.0
  description: API reference for Kling video generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /kling/motion:
    post:
      summary: Kling Motion
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Kling Motion Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - image_url
                - video_url
                - character_orientation
                - mode
              properties:
                model_name:
                  enum:
                    - kling-v2-6
                    - kling-v3
                  type: string
                  description: Kling Motion Model Name
                mode:
                  enum:
                    - std
                    - pro
                  type: string
                  description: Kling Motion Mode
                keep_original_sound:
                  enum:
                    - 'yes'
                    - 'no'
                  type: string
                  description: Kling Motion Keep Original Sound
                watermark_info:
                  type: object
                  properties:
                    enabled:
                      type: boolean
                  description: Kling Motion Watermark Info
                image_url:
                  type: string
                  description: Kling Motion Image Url
                video_url:
                  type: string
                  description: Kling Motion Video Url
                character_orientation:
                  enum:
                    - image
                    - video
                  type: string
                  description: Kling Motion Character Orientation
                prompt:
                  type: string
                  example: >-
                    White ceramic coffee mug on glossy marble countertop with
                    morning window light. Camera slowly rotates 360 degrees
                    around the mug, pausing briefly at the handle.
                  description: Kling Motion Prompt
                callback_url:
                  type: string
                  description: Kling Motion Callback Url
                async:
                  type: boolean
                  description: Kling Motion Async
            example:
              image_url: https://cdn.acedata.cloud/4hfydw.jpg
              video_url: https://cdn.acedata.cloud/634d760216.mp4
              character_orientation: image
              mode: std
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  success: true
                  video_id: '842566592663294013'
                  video_url: >-
                    https://platform2.cdn.acedata.cloud/kling/6c68c267-065b-4423-b66b-a0e4c59ee0d5.mp4
                  duration: '5.066'
                  state: succeed
                  task_id: 307c3359-f68a-44e1-bd3b-c5d5a2a2ca0a
                properties:
                  data:
                    type: object
                    description: Kling Motion Response 200 Data
                  success:
                    type: boolean
                    description: Kling Motion Response 200 Success
          description: Kling Motion Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Kling Motion Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Kling Motion Response 400 Error Message
                      trace_id:
                        type: string
                        description: Kling Motion Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Kling Motion Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Kling Motion Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Kling Motion Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: Kling Motion Response 400 Error Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: Kling Motion Response 400 Error Message 3
                      trace_id:
                        type: string
                        description: Kling Motion Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Kling Motion Response 400 Error Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: Kling Motion Response 400 Error Message 4
                      trace_id:
                        type: string
                        description: Kling Motion Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: Kling Motion Response 400 Error Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: Kling Motion Response 400 Error Message 5
                      trace_id:
                        type: string
                        description: Kling Motion Response 400 Trace Id 5
          description: Kling Motion Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Kling Motion Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Kling Motion Response 401 Error Message
                      trace_id:
                        type: string
                        description: Kling Motion Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: Kling Motion Response 401 Error Code 2
                          message:
                            type: string
                            example: token expired.
                            description: Kling Motion Response 401 Error Message 2
                      trace_id:
                        type: string
                        description: Kling Motion Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Kling Motion Response 401 Error Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: Kling Motion Response 401 Error Message 3
                      trace_id:
                        type: string
                        description: Kling Motion Response 401 Trace Id 3
          description: Kling Motion Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Kling Motion Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Kling Motion Response 403 Error Message
                      trace_id:
                        type: string
                        description: Kling Motion Response 403 Trace Id
          description: Kling Motion Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: Kling Motion Response 404 Error Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: Kling Motion Response 404 Error Message
                      trace_id:
                        type: string
                        description: Kling Motion Response 404 Trace Id
          description: Kling Motion Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Kling Motion Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Kling Motion Response 429 Error Message
                      trace_id:
                        type: string
                        description: Kling Motion Response 429 Trace Id
          description: Kling Motion Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Kling Motion Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Kling Motion Response 500 Error Message
                      trace_id:
                        type: string
                        description: Kling Motion Response 500 Trace Id
          description: Kling Motion Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````